#!/bin/sh
set -e

SKIP_TESTS_REGEX='(?:ussl_basic|mpy_native|urandom_basic|import_pkg7)'

make -C mpy-cross
cd tests
MICROPY_MICROPYTHON=/usr/bin/micropython ./run-tests.py -e "$(SKIP_TESTS_REGEX)"
MICROPY_MICROPYTHON=/usr/bin/micropython ./run-tests.py -d thread jni
MICROPY_MICROPYTHON=/usr/bin/micropython ./run-tests.py --via-mpy -d basics float micropython
